import java.util.Arrays;


public class BinSearch {

    
    public static int search( int array[], int target ) {

	int low = 0; // The start of the search region
	int high = array.length; // The end of the search region
	int mid;

	// Something left to search and target not yet found
	while ( low <= high ) {
	    mid = (low + high) / 2 ; // Location of the mid
	    // Determine whether the target is smaller than, greater than,
	    // or equal to the mid element
	    if ( target < array[ mid ] ) {
		// Target is smaller; must be in left half
		high = mid - 1;
	    } else if ( target > array[ mid ] ) {
		// Target is larger; must be in right half
		low = mid + 1;
	    } else {
		// Found it!!
		return mid;
	    }
	}
	return -1; // nothing found
    }


    public static final void main(final String[] args) {
    	int[] vals = new int[args.length-1];
    	int num;
    	for(int i = 0; i<args.length-1; i++){
    		vals[i] = Integer.parseInt(args[i]);
    	}
    	num = Integer.parseInt(args[args.length-1]);
    	Arrays.sort(vals);
    	System.out.print("In { "+ Arrays.toString(vals));
    	System.out.println(" " +
    			"} we look for " + num);
    	System.out.println("Found at position " + search(vals, num));
	
    }


}
